<div ng-controller="TrabajadorCtrl">
    <div class="page page-tables-bootstrap">
    	<div class="panel">
    		<div class="panel-body">
    			<div class="row">
					<div class="col-md-5">
						Productor : <strong>{{productor.fullname}}</strong>
					</div>
					<div class="col-md-3">
						<!-- Aréa Total : <strong>{{productor.area_total | number : 2}}</strong> -->
					</div>
					<div class="col-md-4">
						<div class="pull-right">
							<a class="btn btn-xs btn-primary btn-rounded-10" ui-sref="home.productor.productor"><i class="fa fa-arrow-left"></i>  Regresar</a>
						</div>
					</div>
				</div>
    		</div>
    	</div>    	
        <div class="panel panel-default">
            <div class="panel-heading">
            	<h3 class="panel-title"><i class="fa fa-list"></i> Listado de Trabajadores</h3>
            </div>
          	<div class="panel-body">
          		<div class="row">
		          	<div class="col-md-6">
		          		<input type="text" class="form-control"  ng-model="buscar" placeholder="Buscar Trabajador">
		          	</div>
		          	<div class="col-md-2">
		          		
		          	</div>
		          	<div class="col-md-4">
		          		<button class="btn btn-success btn-block btn-border btn-rounded-20" data-options="splash-2 splash-ef-14" ng-click="clear();openModalSave($event)"><i class="fa fa-plus"></i> agregar Trabajador</button>
		          	</div>
	          	</div>
	            <hr>
	            <div class="row" ng-if="flag">
		          	<div class="col-md-12">
		          		<ng-include src="'views/home/others/loading.html'">
						</ng-include>
		          	</div>
	          	</div>
	          	<div class="row" ng-if="!flag">
					<div class="col-md-12" ng-show="trabajadores.length > 0">
						<div class="table-responsive">
							<table class="table table-hover">
								<thead>
									<tr>
										<th>Nombres y Apellidos</th>
										<th>Condición</th>
										<th class="text-center">Opciones</th>
									</tr>
								</thead>
								<tbody>
									<tr dir-paginate="trabajador in trabajadores | itemsPerPage: 7" pagination-id="trabajador.id">
										<td>{{trabajador.fullname}}</td>
										<td>{{(trabajador.nombre_condicion)}}</td>
										<td class="text-center">
											<button class="btn btn-info btn-xs" data-options="splash-2 splash-ef-14" ng-click="load(trabajador);openModalSave($event)"><span class="fa fa-edit"></span> Editar</button>
											<button class="btn btn-danger btn-xs" data-options="splash-2 splash-ef-14" ng-click="load(trabajador);openModalDelete($event)"><span class="fa fa-trash"></span> Eliminar</button>
										</td>
									</tr>
								</tbody>
							</table>
						</div>
						<div class="text-center">
							<dir-pagination-controls pagination-id="trabajador.id"></dir-pagination-controls>
						</div>
					</div>
					<div class="col-md-12" ng-show="trabajadores.length == 0">
	            		<p class="text-center">
	                        <i class="fa fa-inbox fa-4x"></i>
	                        <h5 class="text-center">no hay trabajadores registrados...</h5>
	                    </p>
	            	</div>
			    </div>
			</div>
			<!-- <div class="panel-footer">
				<div class="text-center">
					ALISSA CORP. - &copy; Copyright 2017
				</div>
			</div> -->
		</div>
	</div>
	<script type="text/ng-template" id="modal_parcela.html">
        <!-- <div class="modal-header">
            <h3 class="modal-title custom-font">I'm a modal!</h3>
        </div> -->
        <div class="modal-body">
            <legend class="text-center"><span ng-if="obj.crud">Nuevo</span><span ng-if="!obj.crud">Actualizar</span> Trabajador</legend>
            
            <form ng-submit="createEdit()">
            	<div class="row">

            		<div class="col-md-12" ng-show="modelo.crud == false && estado_persona == 1">
            			<div class="alert alert-info">
            				* Solo se puede editar el campo <strong>Condición</strong>
            			</div>
            		</div>

            		<div class="col-md-5" ng-show="modelo.crud == true">
						<div class="form-group">
	                   		<label for="">¿Es Productor?</label>
							<select class="form-control" ng-model="estado_persona" ng-options="espe.id as espe.nombre for espe in estadoPersona" ng-change="clear()">
                                <option value="">-- Seleccione Item --</option>
                            </select>
						</div>
	               </div>
	               	<div class="col-md-7" ng-show="estado_persona == 1 && modelo.crud == true">
						<div class="form-group">
	                   		<label for="">Productores</label>
							<select class="form-control" ng-model="modelo.id_persona" ng-options="productor.id_persona as productor.fullname for productor in obj.productores"  ng-change="setPersona()">
                                <option value="">-- Seleccione Item --</option>
                            </select>
						</div>
	               </div>

	               <div class="col-md-8">
	                    <div class="form-group">
	                   		<label for="">Nombres</label>
							<input type="text" class="form-control" id="nombre" ng-model="modelo.nombre" placeholder="Nombres" ng-readonly="estado_persona == 1"> 
	                   </div>
	               </div>
					<div class="col-md-4">
						<div class="form-group">
	                   		<label for="">Condición</label>
							<select class="form-control" ng-model="modelo.condicion" ng-options="condicion.id as condicion.nombre for condicion in condiciones">
                                <option value="">-- Seleccione Item --</option>
                            </select>
						</div>
	               </div>

	               <div class="col-md-6">
						<div class="form-group">
	                   		<label for="">Apellido Paterno</label>
							<input type="text" class="form-control" ng-readonly="estado_persona == 1" id="apellido_paterno" ng-model="modelo.apellido_paterno" placeholder="Apellido Paterno">
						</div>
					</div>
					<div class="col-md-6">
						<div class="form-group">
	                   		<label for="">Apellido Materno</label>
							<input type="text" class="form-control" id="apellido_materno" ng-model="modelo.apellido_materno" ng-readonly="estado_persona == 1" placeholder="Apellido Materno">
						</div>
	               	</div>
					
					<div class="col-md-6">
						<div class="form-group">
	                   		<label for="">DNI</label>
							<input type="text" class="form-control" id="dni" ng-model="modelo.dni" ng-readonly="estado_persona == 1" placeholder="DNI">
						</div>
					</div>							
					<div class="col-md-6">
						<div class="form-group">
	                   		<label for="">Teléfono</label>
							<input type="text" class="form-control" id="telefono" ng-model="modelo.telefono" ng-readonly="estado_persona == 1" placeholder="Teléfono">
						</div>
					</div>

	               	<div class="col-md-12">
	                    <div class="form-group">
	                   		<label for="">Dirección</label>
							<input type="text" class="form-control" id="direccion" ng-model="modelo.direccion" ng-readonly="estado_persona == 1" placeholder="Dirección">
	                   </div>
	               </div>							

	            </div>

               <div class="mt-20">
                    <div class="text-center">
		                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="ok()"><i class="fa fa-close"></i> Cancelar</button>
		                <button type="submit" class="btn btn-primary btn-border btn-rounded-20"><i class="fa fa-save"></i> <span ng-if="obj.crud">Guardar</span><span ng-if="!obj.crud">Actualizar</span></button>
		            </div>
               </div>                   
            </form>
        </div>
    </script>
    <script type="text/ng-template" id="modal_parcela_delete.html">
        <div class="modal-header">
    		<div class="text-center">
                <h4 class="modal-title custom-font">¿Desea eliminar esta Trabajador?</h4>
            </div>
        </div>
        <div class="modal-body">
        	<div class="text-center">
                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="ok()"><i class="fa fa-close"></i> Cancelar</button>
                <button type="submit" class="btn btn-danger btn-border btn-rounded-20" ng-click="delete()" data-dismiss="modal"><i class="fa fa-check"></i> Eliminar</button>
            </div>
        </div>
    </script>
</div>